/*
 * util.h:
 * global utility stuff for tpop3d
 *
 * Copyright (c) 2000 Chris Lightfoot. All rights reserved.
 *
 * $Id: util.h,v 1.6 2001/01/16 00:31:56 chris Exp $
 *
 */

#ifndef __UTIL_H_ /* include guard */
#define __UTIL_H_

#include <sys/types.h>

#ifndef TPOP3D_VERSION
#   define TPOP3D_VERSION   "(unknown)"
#endif

/*
#define strdup(a)   mystrdup(__FILE__, __LINE__, (a))
#define malloc(a)   mymalloc(__FILE__, __LINE__ ,(a))
#define free(a)     myfree(__FILE__, __LINE__, (a))
*/
/*
char *mystrdup(char *, int, char *);
void *mymalloc(char *, int, size_t);
void myfree(char *, int, void *);
*/

/* syslog(3) replacement */
void print_log(int priority, const char *fmt, ...);

/* write(2) replacement */
ssize_t xwrite(int fd, const void *buf, size_t count);

#endif /* __UTIL_H_ */
